Skip to main content
POST /api/v1/lake/claim_manager
The operation type for signing is "claim_lake_manager". This endpoint is only for fresh vaults that were created without a manager.

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredClaimer wallet address42trU9A5…
“signature”stringrequiredCryptographic signature5J3mBbAH…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”lake”stringrequiredVault addressAbCdEfGh123456789…
“deposit_amount”decimal stringrequiredManager’s initial deposit amount1000.00
”agent_wallet”stringoptionalAgent wallet address69trU9A5…
“expiry_window”integeroptionalSignature expiry in milliseconds30000
{
  "account": "42trU9A5...",
  "signature": "5J3mBbAH...",
  "timestamp": 1716200000000,
  "lake": "AbCdEfGh123456789...",
  "deposit_amount": "1000.00"
}

Response

  • Status 200: Manager claim successful
{
  "success": true,
  "data": {
    "shares_minted": "1000.00"
  },
  "error": null,
  "code": null
}
FieldTypeDescription
'shares_minted'decimal stringNumber of manager shares minted to the claimer
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error